es.gob.fnmt.gui

## Class ProgressDialogUI.Builder

- java.lang.Object
- - es.gob.fnmt.gui.ProgressDialogUI.Builder

- Enclosing class:
    ProgressDialogUI

      public static final class ProgressDialogUI.Builder
      extends java.lang.Object

  Java builder pattern class used to build ProgressDialogUI instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(android.app.ProgressDialog progressDialog)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProgressDialogUI` | `build()` Build a new instance of ProgressDialogUI.
    `ProgressDialogUI.Builder` | `contentLayout(int contentLayoutID)` If a content layout is attached to the progress dialog.
    `ProgressDialogUI.Builder` | `description(int descriptionID)` If a TextView component inside the content layout for the description.
    `ProgressDialogUI.Builder` | `jump(int jump)` Set the jump size of the progress bar.
    `ProgressDialogUI.Builder` | `max(int size)` Set the max size of the progress bar.
    `ProgressDialogUI.Builder` | `progressBar(int progressBarID)` If a progress bar is used inside the content layout.
    `ProgressDialogUI.Builder` | `title(int titleID)` If a TextView component inside the content layout for the title.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(android.app.ProgressDialog progressDialog)

      Constructor.
      Parameters:
        `progressDialog` - the instance of android.app.ProgressDialog.

  - ### Method Detail

    - #### build

          public ProgressDialogUI build()

      Build a new instance of ProgressDialogUI.
      Returns:
        the instance of ProgressDialogUI.

    - #### contentLayout

          public ProgressDialogUI.Builder contentLayout(int contentLayoutID)

      If a content layout is attached to the progress dialog.
      Parameters:
        `contentLayoutID` - the resource id of the content layout.
      Returns:
        Builder.

    - #### description

          public ProgressDialogUI.Builder description(int descriptionID)

      If a TextView component inside the content layout for the description.
      Parameters:
        `descriptionID` - the resource id of the title TextView.
      Returns:
        Builder.

    - #### jump

          public ProgressDialogUI.Builder jump(int jump)

      Set the jump size of the progress bar.
      Parameters:
        `jump` - jump size of the progress bar.
      Returns:
        Builder.

    - #### max

          public ProgressDialogUI.Builder max(int size)

      Set the max size of the progress bar.
      Parameters:
        `size` - max size of the progress bar.
      Returns:
        Builder.

    - #### progressBar

          public ProgressDialogUI.Builder progressBar(int progressBarID)

      If a progress bar is used inside the content layout.
      Parameters:
        `progressBarID` - the resource id of the progress bar.
      Returns:
        Builder.

    - #### title

          public ProgressDialogUI.Builder title(int titleID)

      If a TextView component inside the content layout for the title.
      Parameters:
        `titleID` - the resource id of the title TextView.
      Returns:
        Builder.